package slinguist

// CODE GENERATED AUTOMATICALLY WITH gopkg.in/src-d/simple-linguist.v1/internal/code-generator
// THIS FILE SHOULD NOT BE EDITED BY HAND
// Extracted from github/linguist commit: dae33dc2b20cddc85d1300435c3be7118a7115a9

var languagesByExtension = map[string][]string{
	".1":                   {"Roff"},
	".1in":                 {"Roff"},
	".1m":                  {"Roff"},
	".1x":                  {"Roff"},
	".2":                   {"Roff"},
	".3":                   {"Roff"},
	".3in":                 {"Roff"},
	".3m":                  {"Roff"},
	".3qt":                 {"Roff"},
	".3x":                  {"Roff"},
	".4":                   {"Roff"},
	".4th":                 {"Forth"},
	".5":                   {"Roff"},
	".6":                   {"Roff"},
	".6pl":                 {"Perl6"},
	".6pm":                 {"Perl6"},
	".7":                   {"Roff"},
	".8":                   {"Roff"},
	".8xk":                 {"TI Program"},
	".8xk.txt":             {"TI Program"},
	".8xp":                 {"TI Program"},
	".8xp.txt":             {"TI Program"},
	".9":                   {"Roff"},
	".E":                   {"E"},
	".JSON-tmLanguage":     {"JSON"},
	".ML":                  {"Standard ML"},
	"._coffee":             {"CoffeeScript"},
	"._js":                 {"JavaScript"},
	"._ls":                 {"LiveScript"},
	".a51":                 {"Assembly"},
	".abap":                {"ABAP"},
	".abnf":                {"ABNF"},
	".ada":                 {"Ada"},
	".adb":                 {"Ada"},
	".ado":                 {"Stata"},
	".adoc":                {"AsciiDoc"},
	".adp":                 {"Tcl"},
	".ads":                 {"Ada"},
	".agc":                 {"Apollo Guidance Computer"},
	".agda":                {"Agda"},
	".ahk":                 {"AutoHotkey"},
	".ahkl":                {"AutoHotkey"},
	".aj":                  {"AspectJ"},
	".al":                  {"Perl"},
	".als":                 {"Alloy"},
	".ampl":                {"AMPL"},
	".anim":                {"Unity3D Asset"},
	".ant":                 {"XML"},
	".apacheconf":          {"ApacheConf"},
	".apib":                {"API Blueprint"},
	".apl":                 {"APL"},
	".app.src":             {"Erlang"},
	".applescript":         {"AppleScript"},
	".arc":                 {"Arc"},
	".arpa":                {"DNS Zone"},
	".as":                  {"ActionScript"},
	".asax":                {"ASP"},
	".asc":                 {"AGS Script", "AsciiDoc", "Public Key"},
	".asciidoc":            {"AsciiDoc"},
	".ascx":                {"ASP"},
	".asd":                 {"Common Lisp"},
	".ash":                 {"AGS Script"},
	".ashx":                {"ASP"},
	".asm":                 {"Assembly"},
	".asmx":                {"ASP"},
	".asn":                 {"ASN.1"},
	".asn1":                {"ASN.1"},
	".asp":                 {"ASP"},
	".aspx":                {"ASP"},
	".asset":               {"Unity3D Asset"},
	".au3":                 {"AutoIt"},
	".aug":                 {"Augeas"},
	".auk":                 {"Awk"},
	".aux":                 {"TeX"},
	".aw":                  {"PHP"},
	".awk":                 {"Awk"},
	".axd":                 {"ASP"},
	".axi":                 {"NetLinx"},
	".axi.erb":             {"NetLinx+ERB"},
	".axml":                {"XML"},
	".axs":                 {"NetLinx"},
	".axs.erb":             {"NetLinx+ERB"},
	".b":                   {"Brainfuck", "Limbo"},
	".bas":                 {"Visual Basic"},
	".bash":                {"Shell"},
	".bat":                 {"Batchfile"},
	".bats":                {"Shell"},
	".bb":                  {"BitBake", "BlitzBasic"},
	".bbx":                 {"TeX"},
	".befunge":             {"Befunge"},
	".bf":                  {"Brainfuck", "HyPhy"},
	".bib":                 {"TeX"},
	".bison":               {"Bison"},
	".blade":               {"Blade"},
	".blade.php":           {"Blade"},
	".bmx":                 {"BlitzMax"},
	".bones":               {"JavaScript"},
	".boo":                 {"Boo"},
	".boot":                {"Clojure"},
	".brd":                 {"Eagle", "KiCad"},
	".bro":                 {"Bro"},
	".brs":                 {"Brightscript"},
	".bsl":                 {"1C Enterprise"},
	".bsv":                 {"Bluespec"},
	".builder":             {"Ruby"},
	".builds":              {"XML"},
	".bzl":                 {"Python"},
	".c":                   {"C"},
	".c++":                 {"C++"},
	".c++-objdump":         {"Cpp-ObjDump"},
	".c++objdump":          {"Cpp-ObjDump"},
	".c-objdump":           {"C-ObjDump"},
	".cake":                {"C#", "CoffeeScript"},
	".capnp":               {"Cap'n Proto"},
	".cats":                {"C"},
	".cbl":                 {"COBOL"},
	".cbx":                 {"TeX"},
	".cc":                  {"C++"},
	".ccp":                 {"COBOL"},
	".ccxml":               {"XML"},
	".cdf":                 {"Mathematica"},
	".ceylon":              {"Ceylon"},
	".cfc":                 {"ColdFusion CFC"},
	".cfg":                 {"INI"},
	".cfm":                 {"ColdFusion"},
	".cfml":                {"ColdFusion"},
	".cgi":                 {"Perl", "Python", "Shell"},
	".ch":                  {"Charity", "xBase"},
	".chem":                {"Pic"},
	".chpl":                {"Chapel"},
	".chs":                 {"C2hs Haskell"},
	".cirru":               {"Cirru"},
	".cjsx":                {"CoffeeScript"},
	".ck":                  {"ChucK"},
	".cl":                  {"Common Lisp", "Cool", "OpenCL"},
	".cl2":                 {"Clojure"},
	".click":               {"Click"},
	".clixml":              {"XML"},
	".clj":                 {"Clojure"},
	".cljc":                {"Clojure"},
	".cljs":                {"Clojure"},
	".cljs.hl":             {"Clojure"},
	".cljscm":              {"Clojure"},
	".cljx":                {"Clojure"},
	".clp":                 {"CLIPS"},
	".cls":                 {"Apex", "OpenEdge ABL", "TeX", "Visual Basic"},
	".clw":                 {"Clarion"},
	".cmake":               {"CMake"},
	".cmake.in":            {"CMake"},
	".cmd":                 {"Batchfile"},
	".cob":                 {"COBOL"},
	".cobol":               {"COBOL"},
	".coffee":              {"CoffeeScript"},
	".com":                 {"DIGITAL Command Language"},
	".command":             {"Shell"},
	".coq":                 {"Coq"},
	".cp":                  {"C++", "Component Pascal"},
	".cpp":                 {"C++"},
	".cpp-objdump":         {"Cpp-ObjDump"},
	".cppobjdump":          {"Cpp-ObjDump"},
	".cproject":            {"XML"},
	".cps":                 {"Component Pascal"},
	".cpy":                 {"COBOL"},
	".cql":                 {"SQL"},
	".cr":                  {"Crystal"},
	".creole":              {"Creole"},
	".cs":                  {"C#", "Smalltalk"},
	".csd":                 {"Csound Document"},
	".csh":                 {"Tcsh"},
	".cshtml":              {"C#"},
	".csl":                 {"XML"},
	".cson":                {"CSON"},
	".csproj":              {"XML"},
	".css":                 {"CSS"},
	".csv":                 {"CSV"},
	".csx":                 {"C#"},
	".ct":                  {"XML"},
	".ctp":                 {"PHP"},
	".cu":                  {"Cuda"},
	".cuh":                 {"Cuda"},
	".cw":                  {"Redcode"},
	".cxx":                 {"C++"},
	".cxx-objdump":         {"Cpp-ObjDump"},
	".cy":                  {"Cycript"},
	".d":                   {"D", "DTrace", "Makefile"},
	".d-objdump":           {"D-ObjDump"},
	".dae":                 {"COLLADA"},
	".darcspatch":          {"Darcs Patch"},
	".dart":                {"Dart"},
	".dats":                {"ATS"},
	".db2":                 {"SQLPL"},
	".dcl":                 {"Clean"},
	".ddl":                 {"SQL"},
	".decls":               {"BlitzBasic"},
	".desktop":             {"desktop"},
	".desktop.in":          {"desktop"},
	".dfm":                 {"Pascal"},
	".di":                  {"D"},
	".diff":                {"Diff"},
	".dita":                {"XML"},
	".ditamap":             {"XML"},
	".ditaval":             {"XML"},
	".djs":                 {"Dogescript"},
	".dll.config":          {"XML"},
	".dlm":                 {"IDL"},
	".dm":                  {"DM"},
	".do":                  {"Stata"},
	".dockerfile":          {"Dockerfile"},
	".doh":                 {"Stata"},
	".dot":                 {"Graphviz (DOT)"},
	".dotsettings":         {"XML"},
	".dpatch":              {"Darcs Patch"},
	".dpr":                 {"Pascal"},
	".druby":               {"Mirah"},
	".dtx":                 {"TeX"},
	".duby":                {"Mirah"},
	".dyalog":              {"APL"},
	".dyl":                 {"Dylan"},
	".dylan":               {"Dylan"},
	".e":                   {"Eiffel"},
	".eam.fs":              {"Formatted"},
	".ebnf":                {"EBNF"},
	".ebuild":              {"Gentoo Ebuild"},
	".ec":                  {"eC"},
	".ecl":                 {"ECL", "ECLiPSe"},
	".eclass":              {"Gentoo Eclass"},
	".eclxml":              {"ECL"},
	".ecr":                 {"HTML+ECR"},
	".edn":                 {"edn"},
	".eex":                 {"HTML+EEX"},
	".eh":                  {"eC"},
	".ejs":                 {"EJS"},
	".el":                  {"Emacs Lisp"},
	".eliom":               {"OCaml"},
	".eliomi":              {"OCaml"},
	".elm":                 {"Elm"},
	".em":                  {"EmberScript"},
	".emacs":               {"Emacs Lisp"},
	".emacs.desktop":       {"Emacs Lisp"},
	".emberscript":         {"EmberScript"},
	".epj":                 {"Ecere Projects"},
	".eps":                 {"PostScript"},
	".eq":                  {"EQ"},
	".erb":                 {"HTML+ERB"},
	".erb.deface":          {"HTML+ERB"},
	".erl":                 {"Erlang"},
	".es":                  {"Erlang", "JavaScript"},
	".es6":                 {"JavaScript"},
	".escript":             {"Erlang"},
	".ex":                  {"Elixir"},
	".exs":                 {"Elixir"},
	".eye":                 {"Ruby"},
	".f":                   {"Filebench WML", "Forth", "Fortran"},
	".f03":                 {"Fortran"},
	".f08":                 {"Fortran"},
	".f77":                 {"Fortran"},
	".f90":                 {"Fortran"},
	".f95":                 {"Fortran"},
	".factor":              {"Factor"},
	".fan":                 {"Fantom"},
	".fancypack":           {"Fancy"},
	".fcgi":                {"Lua", "PHP", "Perl", "Python", "Ruby", "Shell"},
	".fea":                 {"OpenType Feature File"},
	".feature":             {"Gherkin"},
	".filters":             {"XML"},
	".fish":                {"fish"},
	".flex":                {"JFlex"},
	".flux":                {"FLUX"},
	".for":                 {"Formatted", "Forth", "Fortran"},
	".forth":               {"Forth"},
	".fp":                  {"GLSL"},
	".fpp":                 {"Fortran"},
	".fr":                  {"Forth", "Frege", "Text"},
	".frag":                {"GLSL", "JavaScript"},
	".frg":                 {"GLSL"},
	".frm":                 {"Visual Basic"},
	".frt":                 {"Forth"},
	".frx":                 {"Visual Basic"},
	".fs":                  {"F#", "Filterscript", "Forth", "GLSL"},
	".fsh":                 {"GLSL"},
	".fshader":             {"GLSL"},
	".fsi":                 {"F#"},
	".fsproj":              {"XML"},
	".fsx":                 {"F#"},
	".fth":                 {"Forth"},
	".ftl":                 {"FreeMarker"},
	".fun":                 {"Standard ML"},
	".fx":                  {"FLUX", "HLSL"},
	".fxh":                 {"HLSL"},
	".fxml":                {"XML"},
	".fy":                  {"Fancy"},
	".g":                   {"G-code", "GAP"},
	".g4":                  {"ANTLR"},
	".gap":                 {"GAP"},
	".gawk":                {"Awk"},
	".gco":                 {"G-code"},
	".gcode":               {"G-code"},
	".gd":                  {"GAP", "GDScript"},
	".gdb":                 {"GDB"},
	".gdbinit":             {"GDB"},
	".gemspec":             {"Ruby"},
	".geo":                 {"GLSL"},
	".geojson":             {"JSON"},
	".geom":                {"GLSL"},
	".gf":                  {"Grammatical Framework"},
	".gi":                  {"GAP"},
	".glade":               {"XML"},
	".glf":                 {"Glyph"},
	".glsl":                {"GLSL"},
	".glslv":               {"GLSL"},
	".gml":                 {"Game Maker Language", "Graph Modeling Language", "XML"},
	".gms":                 {"GAMS"},
	".gn":                  {"GN"},
	".gni":                 {"GN"},
	".gnu":                 {"Gnuplot"},
	".gnuplot":             {"Gnuplot"},
	".go":                  {"Go"},
	".god":                 {"Ruby"},
	".golo":                {"Golo"},
	".gp":                  {"Gnuplot"},
	".grace":               {"Grace"},
	".gradle":              {"Gradle"},
	".graphql":             {"GraphQL"},
	".groovy":              {"Groovy"},
	".grt":                 {"Groovy"},
	".grxml":               {"XML"},
	".gs":                  {"Genie", "Gosu", "JavaScript"},
	".gshader":             {"GLSL"},
	".gsp":                 {"Groovy Server Pages"},
	".gst":                 {"Gosu"},
	".gsx":                 {"Gosu"},
	".gtpl":                {"Groovy"},
	".gv":                  {"Graphviz (DOT)"},
	".gvy":                 {"Groovy"},
	".gyp":                 {"Python"},
	".gypi":                {"Python"},
	".h":                   {"C", "C++", "Objective-C"},
	".h++":                 {"C++"},
	".haml":                {"Haml"},
	".haml.deface":         {"Haml"},
	".handlebars":          {"Handlebars"},
	".hats":                {"ATS"},
	".hb":                  {"Harbour"},
	".hbs":                 {"Handlebars"},
	".hcl":                 {"HCL"},
	".hh":                  {"C++", "Hack"},
	".hic":                 {"Clojure"},
	".hlean":               {"Lean"},
	".hlsl":                {"HLSL"},
	".hlsli":               {"HLSL"},
	".hpp":                 {"C++"},
	".hqf":                 {"SQF"},
	".hrl":                 {"Erlang"},
	".hs":                  {"Haskell"},
	".hsc":                 {"Haskell"},
	".htm":                 {"HTML"},
	".html":                {"HTML"},
	".html.hl":             {"HTML"},
	".http":                {"HTTP"},
	".hx":                  {"Haxe"},
	".hxsl":                {"Haxe"},
	".hxx":                 {"C++"},
	".hy":                  {"Hy"},
	".i7x":                 {"Inform 7"},
	".iced":                {"CoffeeScript"},
	".icl":                 {"Clean"},
	".idc":                 {"C"},
	".idr":                 {"Idris"},
	".ihlp":                {"Stata"},
	".ijs":                 {"J"},
	".ik":                  {"Ioke"},
	".ily":                 {"LilyPond"},
	".iml":                 {"XML"},
	".inc":                 {"Assembly", "C++", "HTML", "PAWN", "PHP", "POV-Ray SDL", "Pascal", "SQL", "SourcePawn"},
	".ini":                 {"INI"},
	".inl":                 {"C++"},
	".ino":                 {"Arduino"},
	".ins":                 {"TeX"},
	".intr":                {"Dylan"},
	".io":                  {"Io"},
	".ipf":                 {"IGOR Pro"},
	".ipp":                 {"C++"},
	".ipynb":               {"Jupyter Notebook"},
	".irbrc":               {"Ruby"},
	".irclog":              {"IRC log"},
	".iss":                 {"Inno Setup"},
	".ivy":                 {"XML"},
	".j":                   {"Jasmin", "Objective-J"},
	".jade":                {"Pug"},
	".jake":                {"JavaScript"},
	".java":                {"Java"},
	".jbuilder":            {"Ruby"},
	".jelly":               {"XML"},
	".jflex":               {"JFlex"},
	".jinja":               {"HTML+Django"},
	".jison":               {"Jison"},
	".jisonlex":            {"Jison Lex"},
	".jl":                  {"Julia"},
	".jq":                  {"JSONiq"},
	".js":                  {"JavaScript"},
	".jsb":                 {"JavaScript"},
	".jscad":               {"JavaScript"},
	".jsfl":                {"JavaScript"},
	".jsm":                 {"JavaScript"},
	".json":                {"JSON"},
	".json5":               {"JSON5"},
	".jsonld":              {"JSONLD"},
	".jsp":                 {"Java Server Pages"},
	".jsproj":              {"XML"},
	".jss":                 {"JavaScript"},
	".jsx":                 {"JSX"},
	".kicad_pcb":           {"KiCad"},
	".kid":                 {"Genshi"},
	".kit":                 {"Kit"},
	".kml":                 {"XML"},
	".krl":                 {"KRL"},
	".ksh":                 {"Shell"},
	".kt":                  {"Kotlin"},
	".ktm":                 {"Kotlin"},
	".kts":                 {"Kotlin"},
	".l":                   {"Common Lisp", "Lex", "PicoLisp", "Roff"},
	".lagda":               {"Literate Agda"},
	".las":                 {"Lasso"},
	".lasso":               {"Lasso"},
	".lasso8":              {"Lasso"},
	".lasso9":              {"Lasso"},
	".latte":               {"Latte"},
	".launch":              {"XML"},
	".lbx":                 {"TeX"},
	".ld":                  {"Linker Script"},
	".ldml":                {"Lasso"},
	".lds":                 {"Linker Script"},
	".lean":                {"Lean"},
	".less":                {"Less"},
	".lex":                 {"Lex"},
	".lfe":                 {"LFE"},
	".lgt":                 {"Logtalk"},
	".lhs":                 {"Literate Haskell"},
	".lid":                 {"Dylan"},
	".lidr":                {"Idris"},
	".liquid":              {"Liquid"},
	".lisp":                {"Common Lisp", "NewLisp"},
	".litcoffee":           {"Literate CoffeeScript"},
	".ll":                  {"LLVM"},
	".lmi":                 {"Python"},
	".logtalk":             {"Logtalk"},
	".lol":                 {"LOLCODE"},
	".lookml":              {"LookML"},
	".lpr":                 {"Pascal"},
	".ls":                  {"LiveScript", "LoomScript"},
	".lsl":                 {"LSL"},
	".lslp":                {"LSL"},
	".lsp":                 {"Common Lisp", "NewLisp"},
	".ltx":                 {"TeX"},
	".lua":                 {"Lua"},
	".lvproj":              {"LabVIEW"},
	".ly":                  {"LilyPond"},
	".m":                   {"Limbo", "M", "MUF", "Mathematica", "Matlab", "Mercury", "Objective-C"},
	".m4":                  {"M4", "M4Sugar"},
	".ma":                  {"Mathematica"},
	".mak":                 {"Makefile"},
	".make":                {"Makefile"},
	".mako":                {"Mako"},
	".man":                 {"Roff"},
	".mao":                 {"Mako"},
	".markdown":            {"Markdown"},
	".marko":               {"Marko"},
	".mask":                {"Mask"},
	".mat":                 {"Unity3D Asset"},
	".mata":                {"Stata"},
	".matah":               {"Stata"},
	".mathematica":         {"Mathematica"},
	".matlab":              {"Matlab"},
	".mawk":                {"Awk"},
	".maxhelp":             {"Max"},
	".maxpat":              {"Max"},
	".maxproj":             {"Max"},
	".mcr":                 {"MAXScript"},
	".md":                  {"GCC Machine Description", "Markdown"},
	".mdown":               {"Markdown"},
	".mdpolicy":            {"XML"},
	".mdwn":                {"Markdown"},
	".me":                  {"Roff"},
	".mediawiki":           {"MediaWiki"},
	".meta":                {"Unity3D Asset"},
	".metal":               {"Metal"},
	".minid":               {"MiniD"},
	".mir":                 {"Mirah"},
	".mirah":               {"Mirah"},
	".mk":                  {"Makefile"},
	".mkd":                 {"Markdown"},
	".mkdn":                {"Markdown"},
	".mkdown":              {"Markdown"},
	".mkfile":              {"Makefile"},
	".mkii":                {"TeX"},
	".mkiv":                {"TeX"},
	".mkvi":                {"TeX"},
	".ml":                  {"OCaml"},
	".ml4":                 {"OCaml"},
	".mli":                 {"OCaml"},
	".mll":                 {"OCaml"},
	".mly":                 {"OCaml"},
	".mm":                  {"Objective-C++", "XML"},
	".mmk":                 {"Module Management System"},
	".mms":                 {"Module Management System"},
	".mo":                  {"Modelica"},
	".mod":                 {"AMPL", "Linux Kernel Module", "Modula-2", "XML"},
	".model.lkml":          {"LookML"},
	".monkey":              {"Monkey"},
	".moo":                 {"Mercury", "Moocode"},
	".moon":                {"MoonScript"},
	".mq4":                 {"MQL4"},
	".mq5":                 {"MQL5"},
	".mqh":                 {"MQL4", "MQL5"},
	".ms":                  {"MAXScript", "Roff", "Unix Assembly"},
	".mspec":               {"Ruby"},
	".mss":                 {"CartoCSS"},
	".mt":                  {"Mathematica"},
	".mtl":                 {"Wavefront Material"},
	".mtml":                {"MTML"},
	".mu":                  {"mupad"},
	".muf":                 {"MUF"},
	".mumps":               {"M"},
	".mustache":            {"HTML+Django"},
	".mxml":                {"XML"},
	".mxt":                 {"Max"},
	".mysql":               {"SQL"},
	".myt":                 {"Myghty"},
	".n":                   {"Nemerle", "Roff"},
	".nasm":                {"Assembly"},
	".nawk":                {"Awk"},
	".nb":                  {"Mathematica", "Text"},
	".nbp":                 {"Mathematica"},
	".nc":                  {"nesC"},
	".ncl":                 {"NCL", "Text"},
	".nginxconf":           {"Nginx"},
	".ni":                  {"Inform 7"},
	".nim":                 {"Nim"},
	".nimrod":              {"Nim"},
	".ninja":               {"Ninja"},
	".nit":                 {"Nit"},
	".nix":                 {"Nix"},
	".njk":                 {"HTML+Django"},
	".njs":                 {"JavaScript"},
	".nl":                  {"NL", "NewLisp"},
	".nlogo":               {"NetLogo"},
	".no":                  {"Text"},
	".nproj":               {"XML"},
	".nqp":                 {"Perl6"},
	".nse":                 {"Lua"},
	".nsh":                 {"NSIS"},
	".nsi":                 {"NSIS"},
	".nu":                  {"Nu"},
	".numpy":               {"NumPy"},
	".numpyw":              {"NumPy"},
	".numsc":               {"NumPy"},
	".nuspec":              {"XML"},
	".nut":                 {"Squirrel"},
	".ny":                  {"Common Lisp"},
	".obj":                 {"Wavefront Object"},
	".objdump":             {"ObjDump"},
	".odd":                 {"XML"},
	".omgrofl":             {"Omgrofl"},
	".ooc":                 {"ooc"},
	".opa":                 {"Opa"},
	".opal":                {"Opal"},
	".opencl":              {"OpenCL"},
	".orc":                 {"Csound"},
	".org":                 {"Org"},
	".os":                  {"1C Enterprise"},
	".osm":                 {"XML"},
	".owl":                 {"Web Ontology Language"},
	".ox":                  {"Ox"},
	".oxh":                 {"Ox"},
	".oxo":                 {"Ox"},
	".oxygene":             {"Oxygene"},
	".oz":                  {"Oz"},
	".p":                   {"OpenEdge ABL"},
	".p4":                  {"P4"},
	".p6":                  {"Perl6"},
	".p6l":                 {"Perl6"},
	".p6m":                 {"Perl6"},
	".pac":                 {"JavaScript"},
	".pan":                 {"Pan"},
	".parrot":              {"Parrot"},
	".pas":                 {"Pascal"},
	".pascal":              {"Pascal"},
	".pasm":                {"Parrot Assembly"},
	".pat":                 {"Max"},
	".patch":               {"Diff"},
	".pb":                  {"PureBasic"},
	".pbi":                 {"PureBasic"},
	".pbt":                 {"PowerBuilder"},
	".pck":                 {"PLSQL"},
	".pd":                  {"Pure Data"},
	".pd_lua":              {"Lua"},
	".pde":                 {"Processing"},
	".perl":                {"Perl"},
	".ph":                  {"Perl"},
	".php":                 {"Hack", "PHP"},
	".php3":                {"PHP"},
	".php4":                {"PHP"},
	".php5":                {"PHP"},
	".phps":                {"PHP"},
	".phpt":                {"PHP"},
	".phtml":               {"HTML+PHP"},
	".pic":                 {"Pic"},
	".pig":                 {"PigLatin"},
	".pike":                {"Pike"},
	".pir":                 {"Parrot Internal Representation"},
	".pkb":                 {"PLSQL"},
	".pkgproj":             {"XML"},
	".pkl":                 {"Pickle"},
	".pks":                 {"PLSQL"},
	".pl":                  {"Perl", "Perl6", "Prolog"},
	".pl6":                 {"Perl6"},
	".plb":                 {"PLSQL"},
	".plist":               {"XML"},
	".plot":                {"Gnuplot"},
	".pls":                 {"PLSQL"},
	".plsql":               {"PLSQL"},
	".plt":                 {"Gnuplot"},
	".pluginspec":          {"Ruby", "XML"},
	".plx":                 {"Perl"},
	".pm":                  {"Perl", "Perl6"},
	".pm6":                 {"Perl6"},
	".pmod":                {"Pike"},
	".po":                  {"Gettext Catalog"},
	".pod":                 {"Perl", "Pod"},
	".podsl":               {"Common Lisp"},
	".podspec":             {"Ruby"},
	".pogo":                {"PogoScript"},
	".pony":                {"Pony"},
	".pot":                 {"Gettext Catalog"},
	".pov":                 {"POV-Ray SDL"},
	".pp":                  {"Pascal", "Puppet"},
	".pprx":                {"REXX"},
	".prc":                 {"SQL"},
	".prefab":              {"Unity3D Asset"},
	".prefs":               {"INI"},
	".prg":                 {"xBase"},
	".pri":                 {"QMake"},
	".pro":                 {"IDL", "INI", "Prolog", "QMake"},
	".prolog":              {"Prolog"},
	".properties":          {"INI"},
	".props":               {"XML"},
	".proto":               {"Protocol Buffer"},
	".prw":                 {"xBase"},
	".ps":                  {"PostScript"},
	".ps1":                 {"PowerShell"},
	".ps1xml":              {"XML"},
	".psc":                 {"Papyrus"},
	".psc1":                {"XML"},
	".psd1":                {"PowerShell"},
	".psgi":                {"Perl"},
	".psm1":                {"PowerShell"},
	".pt":                  {"XML"},
	".pub":                 {"Public Key"},
	".pug":                 {"Pug"},
	".purs":                {"PureScript"},
	".pwn":                 {"PAWN"},
	".pxd":                 {"Cython"},
	".pxi":                 {"Cython"},
	".py":                  {"Python"},
	".py3":                 {"Python"},
	".pyde":                {"Python"},
	".pyp":                 {"Python"},
	".pyt":                 {"Python"},
	".pytb":                {"Python traceback"},
	".pyw":                 {"Python"},
	".pyx":                 {"Cython"},
	".qbs":                 {"QML"},
	".qml":                 {"QML"},
	".r":                   {"R", "Rebol"},
	".r2":                  {"Rebol"},
	".r3":                  {"Rebol"},
	".rabl":                {"Ruby"},
	".rake":                {"Ruby"},
	".raml":                {"RAML"},
	".raw":                 {"Raw token data"},
	".rb":                  {"Ruby"},
	".rbbas":               {"REALbasic"},
	".rbfrm":               {"REALbasic"},
	".rbmnu":               {"REALbasic"},
	".rbres":               {"REALbasic"},
	".rbtbar":              {"REALbasic"},
	".rbuild":              {"Ruby"},
	".rbuistate":           {"REALbasic"},
	".rbw":                 {"Ruby"},
	".rbx":                 {"Ruby"},
	".rbxs":                {"Lua"},
	".rd":                  {"R"},
	".rdf":                 {"XML"},
	".rdoc":                {"RDoc"},
	".re":                  {"C++", "Reason"},
	".reb":                 {"Rebol"},
	".rebol":               {"Rebol"},
	".red":                 {"Red"},
	".reds":                {"Red"},
	".reek":                {"YAML"},
	".regex":               {"Regular Expression"},
	".regexp":              {"Regular Expression"},
	".rei":                 {"Reason"},
	".rest":                {"reStructuredText"},
	".rest.txt":            {"reStructuredText"},
	".resx":                {"XML"},
	".rex":                 {"REXX"},
	".rexx":                {"REXX"},
	".rg":                  {"Rouge"},
	".rhtml":               {"RHTML"},
	".rkt":                 {"Racket"},
	".rktd":                {"Racket"},
	".rktl":                {"Racket"},
	".rl":                  {"Ragel"},
	".rmd":                 {"RMarkdown"},
	".rnh":                 {"RUNOFF"},
	".rno":                 {"RUNOFF", "Roff"},
	".robot":               {"RobotFramework"},
	".roff":                {"Roff"},
	".ron":                 {"Markdown"},
	".rpy":                 {"Python", "Ren'Py"},
	".rq":                  {"SPARQL"},
	".rs":                  {"RenderScript", "Rust"},
	".rs.in":               {"Rust"},
	".rsc":                 {"Rascal"},
	".rsh":                 {"RenderScript"},
	".rss":                 {"XML"},
	".rst":                 {"reStructuredText"},
	".rst.txt":             {"reStructuredText"},
	".rsx":                 {"R"},
	".ru":                  {"Ruby"},
	".ruby":                {"Ruby"},
	".rviz":                {"YAML"},
	".s":                   {"Unix Assembly"},
	".sage":                {"Sage"},
	".sagews":              {"Sage"},
	".sas":                 {"SAS"},
	".sass":                {"Sass"},
	".sats":                {"ATS"},
	".sbt":                 {"Scala"},
	".sc":                  {"Scala", "SuperCollider"},
	".scad":                {"OpenSCAD"},
	".scala":               {"Scala"},
	".scaml":               {"Scaml"},
	".scd":                 {"SuperCollider"},
	".sce":                 {"Scilab"},
	".sch":                 {"Eagle", "KiCad", "XML"},
	".sci":                 {"Scilab"},
	".scm":                 {"Scheme"},
	".sco":                 {"Csound Score"},
	".scpt":                {"AppleScript"},
	".scrbl":               {"Racket"},
	".scss":                {"SCSS"},
	".scxml":               {"XML"},
	".self":                {"Self"},
	".sexp":                {"Common Lisp"},
	".sfd":                 {"Spline Font Database"},
	".sfproj":              {"XML"},
	".sh":                  {"Shell"},
	".sh-session":          {"ShellSession"},
	".sh.in":               {"Shell"},
	".shader":              {"GLSL"},
	".shen":                {"Shen"},
	".sig":                 {"Standard ML"},
	".sj":                  {"Objective-J"},
	".sjs":                 {"JavaScript"},
	".sl":                  {"Slash"},
	".sld":                 {"Scheme"},
	".slim":                {"Slim"},
	".sls":                 {"SaltStack", "Scheme"},
	".sma":                 {"SourcePawn"},
	".smali":               {"Smali"},
	".sml":                 {"Standard ML"},
	".smt":                 {"SMT"},
	".smt2":                {"SMT"},
	".sp":                  {"SourcePawn"},
	".sparql":              {"SPARQL"},
	".spec":                {"Python", "RPM Spec", "Ruby"},
	".spin":                {"Propeller Spin"},
	".sps":                 {"Scheme"},
	".sqf":                 {"SQF"},
	".sql":                 {"PLSQL", "PLpgSQL", "SQL", "SQLPL"},
	".sra":                 {"PowerBuilder"},
	".srdf":                {"XML"},
	".srt":                 {"SRecode Template", "SubRip Text"},
	".sru":                 {"PowerBuilder"},
	".srw":                 {"PowerBuilder"},
	".ss":                  {"Scheme"},
	".ssjs":                {"JavaScript"},
	".st":                  {"HTML", "Smalltalk"},
	".stTheme":             {"XML"},
	".stan":                {"Stan"},
	".sthlp":               {"Stata"},
	".ston":                {"STON"},
	".storyboard":          {"XML"},
	".sty":                 {"TeX"},
	".styl":                {"Stylus"},
	".sublime-build":       {"Sublime Text Config"},
	".sublime-commands":    {"Sublime Text Config"},
	".sublime-completions": {"Sublime Text Config"},
	".sublime-keymap":      {"Sublime Text Config"},
	".sublime-macro":       {"Sublime Text Config"},
	".sublime-menu":        {"Sublime Text Config"},
	".sublime-mousemap":    {"Sublime Text Config"},
	".sublime-project":     {"Sublime Text Config"},
	".sublime-settings":    {"Sublime Text Config"},
	".sublime-snippet":     {"XML"},
	".sublime-syntax":      {"YAML"},
	".sublime-theme":       {"Sublime Text Config"},
	".sublime-workspace":   {"Sublime Text Config"},
	".sublime_metrics":     {"Sublime Text Config"},
	".sublime_session":     {"Sublime Text Config"},
	".sv":                  {"SystemVerilog"},
	".svg":                 {"SVG"},
	".svh":                 {"SystemVerilog"},
	".swift":               {"Swift"},
	".syntax":              {"YAML"},
	".t":                   {"Perl", "Perl6", "Terra", "Turing"},
	".tab":                 {"SQL"},
	".tac":                 {"Python"},
	".targets":             {"XML"},
	".tcc":                 {"C++"},
	".tcl":                 {"Tcl"},
	".tcsh":                {"Tcsh"},
	".tea":                 {"Tea"},
	".tex":                 {"TeX"},
	".textile":             {"Textile"},
	".tf":                  {"HCL"},
	".thor":                {"Ruby"},
	".thrift":              {"Thrift"},
	".thy":                 {"Isabelle"},
	".tla":                 {"TLA"},
	".tm":                  {"Tcl"},
	".tmCommand":           {"XML"},
	".tmLanguage":          {"XML"},
	".tmPreferences":       {"XML"},
	".tmSnippet":           {"XML"},
	".tmTheme":             {"XML"},
	".tmac":                {"Roff"},
	".tml":                 {"XML"},
	".tmux":                {"Shell"},
	".toc":                 {"TeX", "World of Warcraft Addon Data"},
	".toml":                {"TOML"},
	".tool":                {"Shell"},
	".topojson":            {"JSON"},
	".tpl":                 {"Smarty"},
	".tpp":                 {"C++"},
	".ts":                  {"TypeScript", "XML"},
	".tst":                 {"GAP", "Scilab"},
	".tsx":                 {"TypeScript", "XML"},
	".ttl":                 {"Turtle"},
	".tu":                  {"Turing"},
	".twig":                {"Twig"},
	".txl":                 {"TXL"},
	".txt":                 {"Text"},
	".uc":                  {"UnrealScript"},
	".udf":                 {"SQL"},
	".udo":                 {"Csound"},
	".ui":                  {"XML"},
	".unity":               {"Unity3D Asset"},
	".uno":                 {"Uno"},
	".upc":                 {"Unified Parallel C"},
	".ur":                  {"UrWeb"},
	".urdf":                {"XML"},
	".urs":                 {"UrWeb"},
	".ux":                  {"XML"},
	".v":                   {"Coq", "Verilog"},
	".vala":                {"Vala"},
	".vapi":                {"Vala"},
	".vark":                {"Gosu"},
	".vb":                  {"Visual Basic"},
	".vba":                 {"Visual Basic"},
	".vbhtml":              {"Visual Basic"},
	".vbproj":              {"XML"},
	".vbs":                 {"Visual Basic"},
	".vcl":                 {"VCL"},
	".vcxproj":             {"XML"},
	".veo":                 {"Verilog"},
	".vert":                {"GLSL"},
	".vh":                  {"SystemVerilog"},
	".vhd":                 {"VHDL"},
	".vhdl":                {"VHDL"},
	".vhf":                 {"VHDL"},
	".vhi":                 {"VHDL"},
	".vho":                 {"VHDL"},
	".vhost":               {"ApacheConf", "Nginx"},
	".vhs":                 {"VHDL"},
	".vht":                 {"VHDL"},
	".vhw":                 {"VHDL"},
	".view.lkml":           {"LookML"},
	".vim":                 {"Vim script"},
	".viw":                 {"SQL"},
	".volt":                {"Volt"},
	".vrx":                 {"GLSL"},
	".vsh":                 {"GLSL"},
	".vshader":             {"GLSL"},
	".vssettings":          {"XML"},
	".vue":                 {"Vue"},
	".vxml":                {"XML"},
	".w":                   {"C"},
	".watchr":              {"Ruby"},
	".webidl":              {"WebIDL"},
	".weechatlog":          {"IRC log"},
	".wiki":                {"MediaWiki"},
	".wisp":                {"wisp"},
	".wixproj":             {"XML"},
	".wl":                  {"Mathematica"},
	".wlt":                 {"Mathematica"},
	".wlua":                {"Lua"},
	".wsdl":                {"XML"},
	".wsf":                 {"XML"},
	".wsgi":                {"Python"},
	".wxi":                 {"XML"},
	".wxl":                 {"XML"},
	".wxs":                 {"XML"},
	".x":                   {"Logos"},
	".x10":                 {"X10"},
	".x3d":                 {"XML"},
	".xacro":               {"XML"},
	".xaml":                {"XML"},
	".xc":                  {"XC"},
	".xht":                 {"HTML"},
	".xhtml":               {"HTML"},
	".xi":                  {"Logos"},
	".xib":                 {"XML"},
	".xlf":                 {"XML"},
	".xliff":               {"XML"},
	".xm":                  {"Logos"},
	".xmi":                 {"XML"},
	".xml":                 {"XML"},
	".xml.dist":            {"XML"},
	".xojo_code":           {"Xojo"},
	".xojo_menu":           {"Xojo"},
	".xojo_report":         {"Xojo"},
	".xojo_script":         {"Xojo"},
	".xojo_toolbar":        {"Xojo"},
	".xojo_window":         {"Xojo"},
	".xpl":                 {"XProc"},
	".xproc":               {"XProc"},
	".xproj":               {"XML"},
	".xpy":                 {"Python"},
	".xq":                  {"XQuery"},
	".xql":                 {"XQuery"},
	".xqm":                 {"XQuery"},
	".xquery":              {"XQuery"},
	".xqy":                 {"XQuery"},
	".xrl":                 {"Erlang"},
	".xs":                  {"XS"},
	".xsd":                 {"XML"},
	".xsjs":                {"JavaScript"},
	".xsjslib":             {"JavaScript"},
	".xsl":                 {"XSLT"},
	".xslt":                {"XSLT"},
	".xsp-config":          {"XPages"},
	".xsp.metadata":        {"XPages"},
	".xtend":               {"Xtend"},
	".xul":                 {"XML"},
	".y":                   {"Yacc"},
	".yacc":                {"Yacc"},
	".yaml":                {"YAML"},
	".yaml-tmlanguage":     {"YAML"},
	".yang":                {"YANG"},
	".yap":                 {"Prolog"},
	".yml":                 {"YAML"},
	".yml.mysql":           {"YAML"},
	".yrl":                 {"Erlang"},
	".yy":                  {"Yacc"},
	".zcml":                {"XML"},
	".zep":                 {"Zephir"},
	".zimpl":               {"Zimpl"},
	".zmpl":                {"Zimpl"},
	".zone":                {"DNS Zone"},
	".zpl":                 {"Zimpl"},
	".zsh":                 {"Shell"},
}
