package slinguist

// CODE GENERATED AUTOMATICALLY WITH gopkg.in/src-d/simple-linguist.v1/internal/code-generator
// THIS FILE SHOULD NOT BE EDITED BY HAND
// Extracted from github/linguist commit: dae33dc2b20cddc85d1300435c3be7118a7115a9

var languagesByFilename = map[string]string{
	".Rprofile":          "R",
	".XCompose":          "XCompose",
	".abbrev_defs":       "Emacs Lisp",
	".arcconfig":         "JSON",
	".babelrc":           "JSON5",
	".bash_history":      "Shell",
	".bash_logout":       "Shell",
	".bash_profile":      "Shell",
	".bashrc":            "Shell",
	".clang-format":      "YAML",
	".classpath":         "XML",
	".emacs":             "Emacs Lisp",
	".emacs.desktop":     "Emacs Lisp",
	".factor-boot-rc":    "Factor",
	".factor-rc":         "Factor",
	".gclient":           "Python",
	".gnus":              "Emacs Lisp",
	".jshintrc":          "JSON",
	".nvimrc":            "Vim script",
	".php_cs":            "PHP",
	".php_cs.dist":       "PHP",
	".project":           "XML",
	".pryrc":             "Ruby",
	".spacemacs":         "Emacs Lisp",
	".vimrc":             "Vim script",
	".viper":             "Emacs Lisp",
	"APKBUILD":           "Alpine Abuild",
	"App.config":         "XML",
	"Appraisals":         "Ruby",
	"BSDmakefile":        "Makefile",
	"BUCK":               "Python",
	"BUILD":              "Python",
	"Berksfile":          "Ruby",
	"Brewfile":           "Ruby",
	"Buildfile":          "Ruby",
	"CMakeLists.txt":     "CMake",
	"COPYING":            "Text",
	"COPYRIGHT.regex":    "Text",
	"Cakefile":           "CoffeeScript",
	"Cask":               "Emacs Lisp",
	"Dangerfile":         "Ruby",
	"Deliverfile":        "Ruby",
	"Dockerfile":         "Dockerfile",
	"Emakefile":          "Erlang",
	"FONTLOG":            "Text",
	"Fakefile":           "Fancy",
	"Fastfile":           "Ruby",
	"GNUmakefile":        "Makefile",
	"Gemfile":            "Ruby",
	"Gemfile.lock":       "Ruby",
	"Guardfile":          "Ruby",
	"INSTALL":            "Text",
	"INSTALL.mysql":      "Text",
	"Jakefile":           "JavaScript",
	"Jarfile":            "Ruby",
	"Jenkinsfile":        "Groovy",
	"Kbuild":             "Makefile",
	"LICENSE":            "Text",
	"LICENSE.mysql":      "Text",
	"Makefile":           "Makefile",
	"Makefile.am":        "Makefile",
	"Makefile.boot":      "Makefile",
	"Makefile.frag":      "Makefile",
	"Makefile.in":        "Makefile",
	"Makefile.inc":       "Makefile",
	"Mavenfile":          "Ruby",
	"Modulefile":         "Puppet",
	"NEWS":               "Text",
	"Notebook":           "Jupyter Notebook",
	"NuGet.config":       "XML",
	"Nukefile":           "Nu",
	"PKGBUILD":           "Shell",
	"Phakefile":          "PHP",
	"Podfile":            "Ruby",
	"Project.ede":        "Emacs Lisp",
	"Puppetfile":         "Ruby",
	"README.1ST":         "Text",
	"README.me":          "Text",
	"README.mysql":       "Text",
	"ROOT":               "Isabelle ROOT",
	"Rexfile":            "Perl6",
	"SConscript":         "Python",
	"SConstruct":         "Python",
	"Settings.StyleCop":  "XML",
	"Slakefile":          "LiveScript",
	"Snakefile":          "Python",
	"Snapfile":           "Ruby",
	"Thorfile":           "Ruby",
	"Vagrantfile":        "Ruby",
	"WORKSPACE":          "Python",
	"Web.Debug.config":   "XML",
	"Web.Release.config": "XML",
	"Web.config":         "XML",
	"XCompose":           "XCompose",
	"_emacs":             "Emacs Lisp",
	"_vimrc":             "Vim script",
	"abbrev_defs":        "Emacs Lisp",
	"ant.xml":            "Ant Build System",
	"build.xml":          "Ant Build System",
	"buildfile":          "Ruby",
	"click.me":           "Text",
	"composer.lock":      "JSON",
	"configure.ac":       "M4Sugar",
	"delete.me":          "Text",
	"descrip.mmk":        "Module Management System",
	"descrip.mms":        "Module Management System",
	"gradlew":            "Shell",
	"gvimrc":             "Vim script",
	"keep.me":            "Text",
	"ld.script":          "Linker Script",
	"makefile":           "Makefile",
	"makefile.sco":       "Makefile",
	"mcmod.info":         "JSON",
	"meson.build":        "Meson",
	"meson_options.txt":  "Meson",
	"mix.lock":           "Elixir",
	"mkfile":             "Makefile",
	"mmn":                "Roff",
	"mmt":                "Roff",
	"nginx.conf":         "Nginx",
	"nvimrc":             "Vim script",
	"packages.config":    "XML",
	"pom.xml":            "Maven POM",
	"read.me":            "Text",
	"rebar.config":       "Erlang",
	"rebar.config.lock":  "Erlang",
	"rebar.lock":         "Erlang",
	"riemann.config":     "Clojure",
	"test.me":            "Text",
	"vimrc":              "Vim script",
	"wscript":            "Python",
	"xcompose":           "XCompose",
}
